Bug 106099 - Find and replace by format, font color added by force
Summary: Find and replace by format, font color added by force
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2017-02-20 11:29 UTC by Buovjaga
Modified: 2018-12-10 17:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A test document (16.04 KB, application/vnd.oasis.opendocument.text)
2017-02-20 14:27 UTC, Jacques Guilleron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2017-02-20 11:29:05 UTC
1. Find and replace
2. While in Find field, Other options, Format
3. Font effects - Underline Single. OK.

See, how the label under Find is Black, Single Underline, Black.

This was not the case with 5.0.2.2.

I think this is preventing correct finds. I bumped into this in bug 106076

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.3
Build ID: 5.3.0-2
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 7ec0500e20cf273d70c4fbddb4063b8f8295307c
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 18th 2016

Version: 5.4.0.0.alpha0+
Build ID: 54d5b1828ec73d0475e0ddb6e31394a7e1904a1b
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-02-09_23:41:14
Locale: fi-FI (fi_FI); Calc: group
Comment 1 Xisco Faulí 2017-02-20 13:56:39 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-11-05 20:28:27 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-11-07 21:04:50 (GMT)
commit	64a708cba9b954afe3331f63c58218eb53b3d0ce (patch)
tree	ddc1bea3b63f32a1c6d377c1d1dd7aee0803fb70
parent	f01c49c4a89ecad2376fd0023625186e5cac642e (diff)
Revert "Reverts a commit series that cripple windows ci."
with addition of...

- svxlo-SvxColorListBox
+ svxcorelo-SvxColorListBox

Adding Cc: to Caolán McNamara
Comment 2 Jacques Guilleron 2017-02-20 14:27:45 UTC
Created attachment 131360 [details]
A test document

HI Buovjaga,

I consider Underlines and colors as Attributes.
So, to find them like in the test document, I first click, in Other options on Attributes. 
There, I check Underline or Police Color.
Once found, I check Active selection only and set Replace to Black, no undreline.
Find all and Replace All work this way, but I am not sure this is the right way to do that.
Comment 3 Buovjaga 2017-02-20 16:13:41 UTC
(In reply to Jacques Guilleron from comment #2)
> Created attachment 131360 [details]
> A test document
> 
> HI Buovjaga,
> 
> I consider Underlines and colors as Attributes.
> So, to find them like in the test document, I first click, in Other options
> on Attributes. 
> There, I check Underline or Police Color.
> Once found, I check Active selection only and set Replace to Black, no
> undreline.
> Find all and Replace All work this way, but I am not sure this is the right
> way to do that.

Thanks. With this, I was able to reproduce bug 106076 even in 5.4. However, I assume the effects of the change mentioned in comment 1 to be unintentional.
Comment 4 Commit Notification 2017-02-21 09:05:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=609670933a80f670d5f6adc4bcdd71781c43c9fa

Related: tdf#106099 avoid casting LISTBOX_ENTRY_NOTFOUND to FontEmphasisMark

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-02-21 09:05:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fa4efec2e58ecd8d749972f1e8c2a20d1c3a6bc

Resolves: tdf#106099 tweak to restore old behaviour

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Buovjaga 2017-02-22 11:16:51 UTC
Verified fix.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 9e1b66aef1bdba6ba5cf3178aff3af1ac0b5d72c
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 22nd 2016
Comment 7 Commit Notification 2017-02-28 10:56:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14ac9a27ff8ab198d002bafde7923bf2b833254a&h=libreoffice-5-3

Resolves: tdf#106099 tweak to restore old behaviour

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-10 17:28:16 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ee855a377f962eb8dff2224bb6412c2243535fb0%5E%21

uitest for bug tdf#106099

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.